> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vectorify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an item

> Retrieve a specific item.



## OpenAPI

````yaml https://vectorify.ai/api.json get /items/{item}
openapi: 3.1.0
info:
  title: Vectorify
  version: 1.0.0
servers:
  - url: https://api.vectorify.ai/v1
    description: Production
security:
  - apiKey: []
tags:
  - name: Query
  - name: Chats
  - name: Upserts
  - name: Items
  - name: Collections
paths:
  /items/{item}:
    get:
      tags:
        - Items
      summary: Retrieve an item
      description: Retrieve a specific item.
      operationId: items.show
      parameters:
        - name: item
          in: path
          required: true
          description: The item ID
          schema:
            type: integer
      responses:
        '200':
          description: '`Item`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Item'
                required:
                  - data
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    Item:
      type: object
      properties:
        id:
          type: string
        item_id:
          type: string
        tenant:
          type:
            - integer
            - 'null'
        url:
          type:
            - string
            - 'null'
        created_at:
          type: string
        collection:
          $ref: '#/components/schemas/Collection'
        upserts:
          type: array
          items:
            $ref: '#/components/schemas/Upsert'
      required:
        - id
        - item_id
        - tenant
        - url
        - created_at
      title: Item
    Collection:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        source:
          type: string
        metadata:
          type:
            - array
            - 'null'
          items: {}
        created_at:
          type: string
        items_count:
          type: integer
      required:
        - id
        - name
        - slug
        - source
        - metadata
        - created_at
      title: Collection
    Upsert:
      type: object
      properties:
        id:
          type: string
        chunk_size:
          type: integer
        status:
          type: string
        started_at:
          type: string
        completed_at:
          type: string
        created_at:
          type: string
      required:
        - id
        - chunk_size
        - status
        - started_at
        - completed_at
        - created_at
      title: Upsert
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Api-Key

````